---
title: Initialize new SSO connector
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[IAM](https://developers.cloudflare.com/api/python/resources/iam)

[SSO](https://developers.cloudflare.com/api/python/resources/iam/subresources/sso)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Initialize new SSO connector

iam.sso.create(SSOCreateParams\*\*kwargs) -> [SSOCreateResponse](<https://developers.cloudflare.com/api/python/resources/iam#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/sso\_connectors

Creates a new SSO connector for logging into Cloudflare through an identity provider.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`SSO Connector Write`

##### ParametersExpand Collapse

account\_id: str

Account identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

email\_domain: str

Email domain of the new SSO connector

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20email_domain%20%3E%20(schema)>)

begin\_verification: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/iam/subresources/sso/methods/create#(resource)%20iam.sso%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20begin_verification%20%3E%20(schema)>)]

Begin the verification process after creation

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20begin_verification%20%3E%20(schema)>)

use\_fedramp\_language: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/iam/subresources/sso/methods/create#(resource)%20iam.sso%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20use_fedramp_language%20%3E%20(schema)>)]

Controls the display of FedRAMP language to the user during SSO login

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20use_fedramp_language%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SSOCreateResponse: …

</summary>

id: Optional\[str]

SSO Connector identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_on: Optional\[datetime]

Timestamp for the creation of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

email\_domain: Optional\[str]

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20email_domain">Link to this property</a>

enabled: Optional\[bool]

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

updated\_on: Optional\[datetime]

Timestamp for the last update of the SSO connector

formatdate-time

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20updated_on">Link to this property</a>

use\_fedramp\_language: Optional\[bool]

Controls the display of FedRAMP language to the user during SSO login

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20use_fedramp_language">Link to this property</a>

<details>

<summary>

verification: Optional\[Verification]

</summary>

code: Optional\[str]

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20code">Link to this property</a>

<details>

<summary>

status: Optional\[Literal\["awaiting", "pending", "failed", "verified"]]

The status of the verification code from the verification process.

</summary>

One of the following:

"awaiting"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"pending"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"failed"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"verified"

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20verification%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)%20%3E%20(property)%20verification">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(model)%20sso_create_response%20%3E%20(schema)>)

### Initialize new SSO connector

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sso = client.iam.sso.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    email_domain="example.com",
)
print(sso.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
```